-- File: Settings.lua
-- What's for: We use this file for the option inside the UI

SayKarmaSettings = {};

-- =====================================================

-- Make a parent panel
-- Register in the Interface Addon Options GUI
SayKarmaSettings.panel = CreateFrame( "Frame", "SayKarmaOptionPanel", UIParent );

-- Set the name for the Category for the Options Panel
SayKarmaSettings.panel.name = "SayKarma";

-- Contents MainPanel
local title = SayKarmaSettings.panel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge");
title:SetText(format("%s", "SayKarma"));
title:SetPoint("CENTER", SayKarmaSettings.panel, "CENTER", 0, 170)

local version = SayKarmaSettings.panel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge");
version:SetText(format("%s: %s", "Version", GetAddOnMetadata("SayKarma", "Version")));
version:SetPoint("CENTER", SayKarmaSettings.panel, "CENTER", 0, 130)

local authors = SayKarmaSettings.panel:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge");
authors:SetText(format("%s: %s", "Authors", "Eshria"));
authors:SetPoint("CENTER", SayKarmaSettings.panel, "CENTER", 0, 100)
-- End Contents MainPanel

-- Add the panel to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.panel);

-- =====================================================
-- OPTIONS PANEL

-- Make a child panel
SayKarmaSettings.childpanel1 = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);

-- Set the name for the Category for the child Panel
SayKarmaSettings.childpanel1.name = "Options";

-- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
SayKarmaSettings.childpanel1.parent = SayKarmaSettings.panel.name;

-- Contents MainPanel ==============================

-- CheckButton enable SayKarma
btnSayKarmaSettingsEnableAddon = CreateFrame("CheckButton", "btnSayKarmaSettingsEnableAddon_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaSettingsEnableAddon_GlobalNameText:SetText("Enable SayKarma");

-- position
btnSayKarmaSettingsEnableAddon:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaSettingsEnableAddon.tooltip = "Enable or disable SayKarma";

-- checkButton clicked
btnSayKarmaSettingsEnableAddon:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['SayKarmaEnable'] == "yes") then
        SayKarmaFunctionDisable();
    else
        SayKarmaFunctionEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaSettingsEnableAddon:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['SayKarmaEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable SayKarma


-- CheckButton enable SayKarmaAutoSetTab
btnSayKarmaAutoSetTabAddon = CreateFrame("CheckButton", "btnSayKarmaAutoSetTabAddon_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaAutoSetTabAddon_GlobalNameText:SetText("Auto set your tab key for pve or pvp");

-- position
btnSayKarmaAutoSetTabAddon:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaAutoSetTabAddon.tooltip = "Auto set your tab key based on your current zone";

-- checkButton clicked
btnSayKarmaAutoSetTabAddon:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['SayKarmaAutoSetTab'] == "yes") then
        SayKarmaFunctionTabAutoSetDisable();
    else
        SayKarmaFunctionTabAutoSetEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaAutoSetTabAddon:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['SayKarmaAutoSetTab'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable SayKarmaAutoSetTab

-- =====

-- CheckButton enable DeathKnigh
btnSayKarmaDeathKnightEnable = CreateFrame("CheckButton", "btnSayKarmaDeathKnightEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDeathKnightEnable_GlobalNameText:SetText("Enable DeathKnight detection");

-- position
btnSayKarmaDeathKnightEnable:SetPoint("TOPLEFT", 20, -200);

-- tooltip, mouseOver
btnSayKarmaDeathKnightEnable.tooltip = "Enable or disable spells\' detection for DeathKnight";

-- checkButton clicked
btnSayKarmaDeathKnightEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DeathKnightEnable'] == "yes") then
        SayKarmaFunctionDeathKnightDisable();
    else
        SayKarmaFunctionDeathKnightEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDeathKnightEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DeathKnightEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable DeathKnight

-- =====

-- CheckButton enable Druid
btnSayKarmaDruidEnable = CreateFrame("CheckButton", "btnSayKarmaDruidEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDruidEnable_GlobalNameText:SetText("Enable Druid detection");

-- position
btnSayKarmaDruidEnable:SetPoint("TOPLEFT", 20, -225);

-- tooltip, mouseOver
btnSayKarmaDruidEnable.tooltip = "Enable or disable spells\' detection for Druid";

-- checkButton clicked
btnSayKarmaDruidEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DruidEnable'] == "yes") then
        SayKarmaFunctionDruidDisable();
    else
        SayKarmaFunctionDruidEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDruidEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DruidEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Druid

-- =====

-- CheckButton enable Hunter
btnSayKarmaHunterEnable = CreateFrame("CheckButton", "btnSayKarmaHunterEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaHunterEnable_GlobalNameText:SetText("Enable Hunter detection");

-- position
btnSayKarmaHunterEnable:SetPoint("TOPLEFT", 20, -250);

-- tooltip, mouseOver
btnSayKarmaHunterEnable.tooltip = "Enable or disable spells\' detection for Hunter";

-- checkButton clicked
btnSayKarmaHunterEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['HunterEnable'] == "yes") then
        SayKarmaFunctionHunterDisable();
    else
        SayKarmaFunctionHunterEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaHunterEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['HunterEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Hunter

-- =====

-- CheckButton enable Mage
btnSayKarmaMageEnable = CreateFrame("CheckButton", "btnSayKarmaMageEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMageEnable_GlobalNameText:SetText("Enable Mage detection");

-- position
btnSayKarmaMageEnable:SetPoint("TOPLEFT", 20, -275);

-- tooltip, mouseOver
btnSayKarmaMageEnable.tooltip = "Enable or disable spells\' detection for Mage";

-- checkButton clicked
btnSayKarmaMageEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MageEnable'] == "yes") then
        SayKarmaFunctionMageDisable();
    else
        SayKarmaFunctionMageEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMageEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MageEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Mage

-- =====

-- CheckButton enable Monk
btnSayKarmaMonkEnable = CreateFrame("CheckButton", "btnSayKarmaMonkEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMonkEnable_GlobalNameText:SetText("Enable Monk detection");

-- position
btnSayKarmaMonkEnable:SetPoint("TOPLEFT", 20, -300);

-- tooltip, mouseOver
btnSayKarmaMonkEnable.tooltip = "Enable or disable spells\' detection for Monk";

-- checkButton clicked
btnSayKarmaMonkEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MonkEnable'] == "yes") then
        SayKarmaFunctionMonkDisable();
    else
        SayKarmaFunctionMonkEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMonkEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MonkEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Monk

-- =====

-- CheckButton enable Paladin
btnSayKarmaPaladinEnable = CreateFrame("CheckButton", "btnSayKarmaPaladinEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPaladinEnable_GlobalNameText:SetText("Enable Paladin detection");

-- position
btnSayKarmaPaladinEnable:SetPoint("TOPLEFT", 20, -325);

-- tooltip, mouseOver
btnSayKarmaPaladinEnable.tooltip = "Enable or disable spells\' detection for Paladin";

-- checkButton clicked
btnSayKarmaPaladinEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PaladinEnable'] == "yes") then
        SayKarmaFunctionPaladinDisable();
    else
        SayKarmaFunctionPaladinEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPaladinEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PaladinEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Paladin

-- =====

-- CheckButton enable Priest
btnSayKarmaPriestEnable = CreateFrame("CheckButton", "btnSayKarmaPriestEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPriestEnable_GlobalNameText:SetText("Enable Priest detection");

-- position
btnSayKarmaPriestEnable:SetPoint("TOPLEFT", 20, -350);

-- tooltip, mouseOver
btnSayKarmaPriestEnable.tooltip = "Enable or disable spells\' detection for Priest";

-- checkButton clicked
btnSayKarmaPriestEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PriestEnable'] == "yes") then
        SayKarmaFunctionPriestDisable();
    else
        SayKarmaFunctionPriestEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPriestEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PriestEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Priest

-- =====

-- CheckButton enable Rogue
btnSayKarmaRogueEnable = CreateFrame("CheckButton", "btnSayKarmaRogueEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaRogueEnable_GlobalNameText:SetText("Enable Rogue detection");

-- position
btnSayKarmaRogueEnable:SetPoint("TOPLEFT", 20, -375);

-- tooltip, mouseOver
btnSayKarmaRogueEnable.tooltip = "Enable or disable spells\' detection for Rogue";

-- checkButton clicked
btnSayKarmaRogueEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['RogueEnable'] == "yes") then
        SayKarmaFunctionRogueDisable();
    else
        SayKarmaFunctionRogueEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaRogueEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['RogueEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Rogue

-- =====

-- CheckButton enable Shaman
btnSayKarmaShamanEnable = CreateFrame("CheckButton", "btnSayKarmaShamanEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaShamanEnable_GlobalNameText:SetText("Enable Shaman detection");

-- position
btnSayKarmaShamanEnable:SetPoint("TOPLEFT", 20, -400);

-- tooltip, mouseOver
btnSayKarmaShamanEnable.tooltip = "Enable or disable spells\' detection for Shaman";

-- checkButton clicked
btnSayKarmaShamanEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['ShamanEnable'] == "yes") then
        SayKarmaFunctionShamanDisable();
    else
        SayKarmaFunctionShamanEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaShamanEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['ShamanEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Shaman

-- =====

-- CheckButton enable Warlock
btnSayKarmaWarlockEnable = CreateFrame("CheckButton", "btnSayKarmaWarlockEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarlockEnable_GlobalNameText:SetText("Enable Warlock detection");

-- position
btnSayKarmaWarlockEnable:SetPoint("TOPLEFT", 20, -425);

-- tooltip, mouseOver
btnSayKarmaWarlockEnable.tooltip = "Enable or disable spells\' detection for Warlock";

-- checkButton clicked
btnSayKarmaWarlockEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarlockEnable'] == "yes") then
        SayKarmaFunctionWarlockDisable();
    else
        SayKarmaFunctionWarlockEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarlockEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarlockEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warlock

-- =====

-- CheckButton enable Warrior
btnSayKarmaWarriorEnable = CreateFrame("CheckButton", "btnSayKarmaWarriorEnable_GlobalName", SayKarmaSettings.childpanel1, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarriorEnable_GlobalNameText:SetText("Enable Warrior detection");

-- position
btnSayKarmaWarriorEnable:SetPoint("TOPLEFT", 20, -450);

-- tooltip, mouseOver
btnSayKarmaWarriorEnable.tooltip = "Enable or disable spells\' detection for Warrior";

-- checkButton clicked
btnSayKarmaWarriorEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarriorEnable'] == "yes") then
        SayKarmaFunctionWarriorDisable();
    else
        SayKarmaFunctionWarriorEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarriorEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarriorEnable'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warrior

-- End Contents MainPanel ==============================

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanel1);

-- =====================================================
-- DEATHKNIGHT PANEL

SayKarmaSettings.childpanelDeathKnight = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelDeathKnight.name = "DeathKnight";
SayKarmaSettings.childpanelDeathKnight.parent = SayKarmaSettings.panel.name;

-- Contents DeathKnightPanel
-- CheckButton enable DeathKnight Asphyxiate
btnSayKarmaDeathKnightAsphyxiateEnable = CreateFrame("CheckButton", "btnSayKarmaDeathKnightAsphyxiateEnable_GlobalName", SayKarmaSettings.childpanelDeathKnight, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDeathKnightAsphyxiateEnable_GlobalNameText:SetText("Asphyxiate");

-- position
btnSayKarmaDeathKnightAsphyxiateEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaDeathKnightAsphyxiateEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDeathKnightAsphyxiateEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DeathKnightAsphyxiate'] == "yes") then
        SayKarmaFunctionDeathKnightAsphyxiateDisable();
    else
        SayKarmaFunctionDeathKnightAsphyxiateEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDeathKnightAsphyxiateEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DeathKnightAsphyxiate'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable DeathKnight Asphyxiate

-- CheckButton enable DeathKnight Mind Freeze
btnSayKarmaDeathKnightMindFreezeEnable = CreateFrame("CheckButton", "btnSayKarmaDeathKnightMindFreezeEnable_GlobalName", SayKarmaSettings.childpanelDeathKnight, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDeathKnightMindFreezeEnable_GlobalNameText:SetText("Mind Freeze");

-- position
btnSayKarmaDeathKnightMindFreezeEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaDeathKnightMindFreezeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDeathKnightMindFreezeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DeathKnightMindFreeze'] == "yes") then
        SayKarmaFunctionDeathKnightMindFreezeDisable();
    else
        SayKarmaFunctionDeathKnightMindFreezeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDeathKnightMindFreezeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DeathKnightMindFreeze'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable DeathKnight Mind Freeze

-- CheckButton enable DeathKnight Strangulate
btnSayKarmaDeathKnightStrangulateEnable = CreateFrame("CheckButton", "btnSayKarmaDeathKnightStrangulateEnable_GlobalName", SayKarmaSettings.childpanelDeathKnight, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDeathKnightStrangulateEnable_GlobalNameText:SetText("Strangulate");

-- position
btnSayKarmaDeathKnightStrangulateEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaDeathKnightStrangulateEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDeathKnightStrangulateEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DeathKnightStrangulate'] == "yes") then
        SayKarmaFunctionDeathKnightStrangulateDisable();
    else
        SayKarmaFunctionDeathKnightStrangulateEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDeathKnightStrangulateEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DeathKnightStrangulate'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable DeathKnight Strangulate

-- End Contents DeathKnightPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelDeathKnight);

-- =====================================================
-- DRUID PANEL

SayKarmaSettings.childpanelDruid = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelDruid.name = "Druid";
SayKarmaSettings.childpanelDruid.parent = SayKarmaSettings.panel.name;

-- Contents DruidPanel
-- CheckButton enable Druid Cyclone
btnSayKarmaDruidCycloneEnable = CreateFrame("CheckButton", "btnSayKarmaDruidCycloneEnable_GlobalName", SayKarmaSettings.childpanelDruid, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDruidCycloneEnable_GlobalNameText:SetText("Cyclone");

-- position
btnSayKarmaDruidCycloneEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaDruidCycloneEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDruidCycloneEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DruidCyclone'] == "yes") then
        SayKarmaFunctionDruidCycloneDisable();
    else
        SayKarmaFunctionDruidCycloneEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDruidCycloneEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DruidCyclone'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Druid Cyclone

-- CheckButton enable Druid Fae Silence
btnSayKarmaDruidFaeSilenceEnable = CreateFrame("CheckButton", "btnSayKarmaDruidFaeSilenceEnable_GlobalName", SayKarmaSettings.childpanelDruid, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDruidFaeSilenceEnable_GlobalNameText:SetText("Fae Silence");

-- position
btnSayKarmaDruidFaeSilenceEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaDruidFaeSilenceEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDruidFaeSilenceEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DruidFaeSilence'] == "yes") then
        SayKarmaFunctionDruidFaeSilenceDisable();
    else
        SayKarmaFunctionDruidFaeSilenceEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDruidFaeSilenceEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DruidFaeSilence'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Druid Fae Silence

-- CheckButton enable Druid Rake
btnSayKarmaDruidRakeEnable = CreateFrame("CheckButton", "btnSayKarmaDruidRakeEnable_GlobalName", SayKarmaSettings.childpanelDruid, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDruidRakeEnable_GlobalNameText:SetText("Rake");

-- position
btnSayKarmaDruidRakeEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaDruidRakeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDruidRakeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DruidRake'] == "yes") then
        SayKarmaFunctionDruidRakeDisable();
    else
        SayKarmaFunctionDruidRakeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDruidRakeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DruidRake'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Druid Rake

-- CheckButton enable Druid Skull Bash
btnSayKarmaDruidSkullBashEnable = CreateFrame("CheckButton", "btnSayKarmaDruidSkullBashEnable_GlobalName", SayKarmaSettings.childpanelDruid, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaDruidSkullBashEnable_GlobalNameText:SetText("Skull Bash");

-- position
btnSayKarmaDruidSkullBashEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaDruidSkullBashEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaDruidSkullBashEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['DruidSkullBash'] == "yes") then
        SayKarmaFunctionDruidSkullBashDisable();
    else
        SayKarmaFunctionDruidSkullBashEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaDruidSkullBashEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['DruidSkullBash'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Druid Skull Bash
-- End Contents DruidPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelDruid);

-- =====================================================
-- HUNTER PANEL

SayKarmaSettings.childpanelHunter = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelHunter.name = "Hunter";
SayKarmaSettings.childpanelHunter.parent = SayKarmaSettings.panel.name;

-- Contents HunterPanel
-- CheckButton enable Hunter Counter Shot
btnSayKarmaHunterCounterShotEnable = CreateFrame("CheckButton", "btnSayKarmaHunterCounterShotEnable_GlobalName", SayKarmaSettings.childpanelHunter, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaHunterCounterShotEnable_GlobalNameText:SetText("Counter Shot");

-- position
btnSayKarmaHunterCounterShotEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaHunterCounterShotEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaHunterCounterShotEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['HunterCounterShot'] == "yes") then
        SayKarmaFunctionHunterCounterShotDisable();
    else
        SayKarmaFunctionHunterCounterShotEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaHunterCounterShotEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['HunterCounterShot'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Hunter Counter Shot

-- CheckButton enable Hunter Freezing Trap
btnSayKarmaHunterFreezingTrapEnable = CreateFrame("CheckButton", "btnSayKarmaHunterFreezingTrapEnable_GlobalName", SayKarmaSettings.childpanelHunter, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaHunterFreezingTrapEnable_GlobalNameText:SetText("Freezing Trap");

-- position
btnSayKarmaHunterFreezingTrapEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaHunterFreezingTrapEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaHunterFreezingTrapEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['HunterFreezingTrap'] == "yes") then
        SayKarmaFunctionHunterFreezingTrapDisable();
    else
        SayKarmaFunctionHunterFreezingTrapEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaHunterFreezingTrapEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['HunterFreezingTrap'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Hunter Freezing Trap

-- CheckButton enable Hunter Silencing Shot
btnSayKarmaHunterSilencingShotEnable = CreateFrame("CheckButton", "btnSayKarmaHunterSilencingShotEnable_GlobalName", SayKarmaSettings.childpanelHunter, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaHunterSilencingShotEnable_GlobalNameText:SetText("Silencing Shot");

-- position
btnSayKarmaHunterSilencingShotEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaHunterSilencingShotEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaHunterSilencingShotEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['HunterSilencingShot'] == "yes") then
        SayKarmaFunctionHunterSilencingShotDisable();
    else
        SayKarmaFunctionHunterSilencingShotEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaHunterSilencingShotEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['HunterSilencingShot'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Hunter Silencing Shot

-- CheckButton enable Hunter Wyvern Sting
btnSayKarmaHunterWyvernStingEnable = CreateFrame("CheckButton", "btnSayKarmaHunterWyvernStingEnable_GlobalName", SayKarmaSettings.childpanelHunter, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaHunterWyvernStingEnable_GlobalNameText:SetText("Wyvern Sting");

-- position
btnSayKarmaHunterWyvernStingEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaHunterWyvernStingEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaHunterWyvernStingEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['HunterWyvernSting'] == "yes") then
        SayKarmaFunctionHunterWyvernStingDisable();
    else
        SayKarmaFunctionHunterWyvernStingEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaHunterWyvernStingEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['HunterWyvernSting'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Hunter Wyvern Sting

-- End Contents HunterPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelHunter);

-- =====================================================
-- MAGE PANEL

SayKarmaSettings.childpanelMage = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelMage.name = "Mage";
SayKarmaSettings.childpanelMage.parent = SayKarmaSettings.panel.name;

-- Contents MagePanel
-- CheckButton enable Mage Counterspell
btnSayKarmaMageCounterspellEnable = CreateFrame("CheckButton", "btnSayKarmaMageCounterspellEnable_GlobalName", SayKarmaSettings.childpanelMage, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMageCounterspellEnable_GlobalNameText:SetText("Counterspell");

-- position
btnSayKarmaMageCounterspellEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaMageCounterspellEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMageCounterspellEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MageCounterspell'] == "yes") then
        SayKarmaFunctionMageCounterspellDisable();
    else
        SayKarmaFunctionMageCounterspellEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMageCounterspellEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MageCounterspell'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Mage Counterspell

-- CheckButton enable Mage Deep Freeze
btnSayKarmaMageDeepFreezeEnable = CreateFrame("CheckButton", "btnSayKarmaMageDeepFreezeEnable_GlobalName", SayKarmaSettings.childpanelMage, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMageDeepFreezeEnable_GlobalNameText:SetText("Deep Freeze");

-- position
btnSayKarmaMageDeepFreezeEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaMageDeepFreezeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMageDeepFreezeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MageDeepFreeze'] == "yes") then
        SayKarmaFunctionMageDeepFreezeDisable();
    else
        SayKarmaFunctionMageDeepFreezeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMageDeepFreezeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MageDeepFreeze'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Mage Deep Freeze

-- CheckButton enable Mage Dragon's Breath
btnSayKarmaMageDragonsBreathEnable = CreateFrame("CheckButton", "btnSayKarmaMageDragonsBreathEnable_GlobalName", SayKarmaSettings.childpanelMage, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMageDragonsBreathEnable_GlobalNameText:SetText("Dragon\'s Breath");

-- position
btnSayKarmaMageDragonsBreathEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaMageDragonsBreathEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMageDragonsBreathEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MageDragonsBreath'] == "yes") then
        SayKarmaFunctionMageDragonsBreathDisable();
    else
        SayKarmaFunctionMageDragonsBreathEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMageDragonsBreathEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MageDragonsBreath'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Mage Dragon's Breath

-- CheckButton enable Mage Frostjaw
btnSayKarmaMageFrostjawEnable = CreateFrame("CheckButton", "btnSayKarmaMageFrostjawEnable_GlobalName", SayKarmaSettings.childpanelMage, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMageFrostjawEnable_GlobalNameText:SetText("Frostjaw");

-- position
btnSayKarmaMageFrostjawEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaMageFrostjawEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMageFrostjawEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MageFrostjaw'] == "yes") then
        SayKarmaFunctionMageFrostjawDisable();
    else
        SayKarmaFunctionMageFrostjawEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMageFrostjawEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MageFrostjaw'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Mage Frostjaw

-- CheckButton enable Mage Polymorph
-- Keep in mind: for now there is only one checkbox for 10 spells of polymoph
btnSayKarmaMagePolymorphEnable = CreateFrame("CheckButton", "btnSayKarmaMagePolymorphEnable_GlobalName", SayKarmaSettings.childpanelMage, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMagePolymorphEnable_GlobalNameText:SetText("Polymorph");

-- position
btnSayKarmaMagePolymorphEnable:SetPoint("TOPLEFT", 20, -120);

-- tooltip, mouseOver
btnSayKarmaMagePolymorphEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMagePolymorphEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MagePolymorphSheep'] == "yes") then          -- We check only on Sheep, but there are some more
        SayKarmaFunctionMagePolymorphDisable();     -- Disable all polymorph not only the sheep
    else
        SayKarmaFunctionMagePolymorphEnable();      -- Enable all polymorph not only the sheep
    end
  end
);

-- init position button (true/false)
btnSayKarmaMagePolymorphEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MagePolymorphSheep'] == "yes") then      -- We check only on Sheep, but there are some more
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Mage Polymorph

-- End Contents MagePanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelMage);

-- =====================================================
-- MONK PANEL

SayKarmaSettings.childpanelMonk = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelMonk.name = "Monk";
SayKarmaSettings.childpanelMonk.parent = SayKarmaSettings.panel.name;

-- Contents MonkPanel
-- CheckButton enable Monk Leg Sweep
btnSayKarmaMonkLegSweepEnable = CreateFrame("CheckButton", "btnSayKarmaMonkLegSweepEnable_GlobalName", SayKarmaSettings.childpanelMonk, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMonkLegSweepEnable_GlobalNameText:SetText("Leg Sweep");

-- position
btnSayKarmaMonkLegSweepEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaMonkLegSweepEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMonkLegSweepEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MonkLegSweep'] == "yes") then
        SayKarmaFunctionMonkLegSweepDisable();
    else
        SayKarmaFunctionMonkLegSweepEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMonkLegSweepEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MonkLegSweep'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Monk Leg Sweep

-- CheckButton enable Monk Paralysis
btnSayKarmaMonkParalysisEnable = CreateFrame("CheckButton", "btnSayKarmaMonkParalysisEnable_GlobalName", SayKarmaSettings.childpanelMonk, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMonkParalysisEnable_GlobalNameText:SetText("Paralysis");

-- position
btnSayKarmaMonkParalysisEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaMonkParalysisEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMonkParalysisEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MonkParalysis'] == "yes") then
        SayKarmaFunctionMonkParalysisDisable();
    else
        SayKarmaFunctionMonkParalysisEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMonkParalysisEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MonkParalysis'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Monk Paralysis

-- CheckButton enable Monk Spear Hand Strike
btnSayKarmaMonkSpearHandStrikeEnable = CreateFrame("CheckButton", "btnSayKarmaMonkSpearHandStrikeEnable_GlobalName", SayKarmaSettings.childpanelMonk, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMonkSpearHandStrikeEnable_GlobalNameText:SetText("Spear Hand Strike");

-- position
btnSayKarmaMonkSpearHandStrikeEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaMonkSpearHandStrikeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMonkSpearHandStrikeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MonkSpearHandStrike'] == "yes") then
        SayKarmaFunctionMonkSpearHandStrikeDisable();
    else
        SayKarmaFunctionMonkSpearHandStrikeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMonkSpearHandStrikeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MonkSpearHandStrike'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Monk Spear Hand Strike

-- CheckButton enable Monk Touch Of Karma
btnSayKarmaMonkTouchOfKarmaEnable = CreateFrame("CheckButton", "btnSayKarmaMonkTouchOfKarmaEnable_GlobalName", SayKarmaSettings.childpanelMonk, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaMonkTouchOfKarmaEnable_GlobalNameText:SetText("Monk Touch Of Karma");

-- position
btnSayKarmaMonkTouchOfKarmaEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaMonkTouchOfKarmaEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaMonkTouchOfKarmaEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['MonkTouchOfKarma'] == "yes") then
        SayKarmaFunctionMonkTouchOfKarmaDisable();
    else
        SayKarmaFunctionMonkTouchOfKarmaEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaMonkTouchOfKarmaEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['MonkTouchOfKarma'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Monk Touch Of Karma

-- End Contents MonkPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelMonk);

-- =====================================================
-- PALADIN PANEL

SayKarmaSettings.childpanelPaladin = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelPaladin.name = "Paladin";
SayKarmaSettings.childpanelPaladin.parent = SayKarmaSettings.panel.name;

-- Contents PaladinPanel
-- CheckButton enable Paladin Fist Of Justice
btnSayKarmaPaladinFistOfJusticeEnable = CreateFrame("CheckButton", "btnSayKarmaPaladinFistOfJusticeEnable_GlobalName", SayKarmaSettings.childpanelPaladin, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPaladinFistOfJusticeEnable_GlobalNameText:SetText("Fist Of Justice");

-- position
btnSayKarmaPaladinFistOfJusticeEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaPaladinFistOfJusticeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPaladinFistOfJusticeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PaladinFistOfJustice'] == "yes") then
        SayKarmaFunctionPaladinFistOfJusticeDisable();
    else
        SayKarmaFunctionPaladinFistOfJusticeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPaladinFistOfJusticeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PaladinFistOfJustice'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Paladin Fist Of Justice

-- CheckButton enable Paladin Hammer Of Justice
btnSayKarmaPaladinHammerOfJusticeEnable = CreateFrame("CheckButton", "btnSayKarmaPaladinHammerOfJusticeEnable_GlobalName", SayKarmaSettings.childpanelPaladin, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPaladinHammerOfJusticeEnable_GlobalNameText:SetText("Hammer Of Justice");

-- position
btnSayKarmaPaladinHammerOfJusticeEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaPaladinHammerOfJusticeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPaladinHammerOfJusticeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PaladinHammerOfJustice'] == "yes") then
        SayKarmaFunctionPaladinHammerOfJusticeDisable();
    else
        SayKarmaFunctionPaladinHammerOfJusticeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPaladinHammerOfJusticeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PaladinHammerOfJustice'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Paladin Hammer Of Justice

-- CheckButton enable Paladin Rebuke
btnSayKarmaPaladinRebukeEnable = CreateFrame("CheckButton", "btnSayKarmaPaladinRebukeEnable_GlobalName", SayKarmaSettings.childpanelPaladin, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPaladinRebukeEnable_GlobalNameText:SetText("Rebuke");

-- position
btnSayKarmaPaladinRebukeEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaPaladinRebukeEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPaladinRebukeEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PaladinRebuke'] == "yes") then
        SayKarmaFunctionPaladinRebukeDisable();
    else
        SayKarmaFunctionPaladinRebukeEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPaladinRebukeEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PaladinRebuke'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Paladin Rebuke

-- CheckButton enable Paladin Repentance
btnSayKarmaPaladinRepentanceEnable = CreateFrame("CheckButton", "btnSayKarmaPaladinRepentanceEnable_GlobalName", SayKarmaSettings.childpanelPaladin, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPaladinRepentanceEnable_GlobalNameText:SetText("Repentance");

-- position
btnSayKarmaPaladinRepentanceEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaPaladinRepentanceEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPaladinRepentanceEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PaladinRepentance'] == "yes") then
        SayKarmaFunctionPaladinRepentanceDisable();
    else
        SayKarmaFunctionPaladinRepentanceEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPaladinRepentanceEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PaladinRepentance'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Paladin Repentance

-- End Contents PaladinPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelPaladin);

-- =====================================================
-- PRIEST PANEL

SayKarmaSettings.childpanelPriest = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelPriest.name = "Priest";
SayKarmaSettings.childpanelPriest.parent = SayKarmaSettings.panel.name;

-- Contents PriestPanel
-- CheckButton enable Priest Dominate Mind
btnSayKarmaPriestDominateMindEnable = CreateFrame("CheckButton", "btnSayKarmaPriestDominateMindEnable_GlobalName", SayKarmaSettings.childpanelPriest, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPriestDominateMindEnable_GlobalNameText:SetText("Dominate Mind");

-- position
btnSayKarmaPriestDominateMindEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaPriestDominateMindEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPriestDominateMindEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PriestDominateMind'] == "yes") then
        SayKarmaFunctionPriestDominateMindDisable();
    else
        SayKarmaFunctionPriestDominateMindEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPriestDominateMindEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PriestDominateMind'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Priest Dominate Mind

-- CheckButton enable Priest Holy Word Chastise
btnSayKarmaPriestHolyWordChastiseEnable = CreateFrame("CheckButton", "btnSayKarmaPriestHolyWordChastiseEnable_GlobalName", SayKarmaSettings.childpanelPriest, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPriestHolyWordChastiseEnable_GlobalNameText:SetText("Holy Word Chastise");

-- position
btnSayKarmaPriestHolyWordChastiseEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaPriestHolyWordChastiseEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPriestHolyWordChastiseEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PriestHolyWordChastise'] == "yes") then
        SayKarmaFunctionPriestHolyWordChastiseDisable();
    else
        SayKarmaFunctionPriestHolyWordChastiseEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPriestHolyWordChastiseEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PriestHolyWordChastise'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Priest Holy Word Chastise

-- CheckButton enable Priest Psychic Horror
btnSayKarmaPriestPsychicHorrorEnable = CreateFrame("CheckButton", "btnSayKarmaPriestPsychicHorrorEnable_GlobalName", SayKarmaSettings.childpanelPriest, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPriestPsychicHorrorEnable_GlobalNameText:SetText("Psychic Horror");

-- position
btnSayKarmaPriestPsychicHorrorEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaPriestPsychicHorrorEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPriestPsychicHorrorEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PriestPsychicHorror'] == "yes") then
        SayKarmaFunctionPriestPsychicHorrorDisable();
    else
        SayKarmaFunctionPriestPsychicHorrorEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPriestPsychicHorrorEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PriestPsychicHorror'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Priest Psychic Horror

-- CheckButton enable Priest Silence
btnSayKarmaPriestSilenceEnable = CreateFrame("CheckButton", "btnSayKarmaPriestSilenceEnable_GlobalName", SayKarmaSettings.childpanelPriest, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaPriestSilenceEnable_GlobalNameText:SetText("Silence");

-- position
btnSayKarmaPriestSilenceEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaPriestSilenceEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaPriestSilenceEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['PriestSilence'] == "yes") then
        SayKarmaFunctionPriestSilenceDisable();
    else
        SayKarmaFunctionPriestSilenceEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaPriestSilenceEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['PriestSilence'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Priest Silence

-- End Contents PriestPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelPriest);

-- =====================================================
-- ROGUE PANEL

SayKarmaSettings.childpanelRogue = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelRogue.name = "Rogue";
SayKarmaSettings.childpanelRogue.parent = SayKarmaSettings.panel.name;

-- Contents RoguePanel
-- CheckButton enable Rogue Blind
btnSayKarmaRogueBlindEnable = CreateFrame("CheckButton", "btnSayKarmaRogueBlindEnable_GlobalName", SayKarmaSettings.childpanelRogue, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaRogueBlindEnable_GlobalNameText:SetText("Blind");

-- position
btnSayKarmaRogueBlindEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaRogueBlindEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaRogueBlindEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['RogueBlind'] == "yes") then
        SayKarmaFunctionRogueBlindDisable();
    else
        SayKarmaFunctionRogueBlindEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaRogueBlindEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['RogueBlind'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Rogue Blind

-- CheckButton enable Rogue Garrote
btnSayKarmaRogueGarroteEnable = CreateFrame("CheckButton", "btnSayKarmaRogueGarroteEnable_GlobalName", SayKarmaSettings.childpanelRogue, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaRogueGarroteEnable_GlobalNameText:SetText("Garrote");

-- position
btnSayKarmaRogueGarroteEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaRogueGarroteEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaRogueGarroteEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['RogueGarrote'] == "yes") then
        SayKarmaFunctionRogueGarroteDisable();
    else
        SayKarmaFunctionRogueGarroteEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaRogueGarroteEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['RogueGarrote'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Rogue Garrote

-- CheckButton enable Rogue kick
btnSayKarmaRoguekickEnable = CreateFrame("CheckButton", "btnSayKarmaRoguekickEnable_GlobalName", SayKarmaSettings.childpanelRogue, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaRoguekickEnable_GlobalNameText:SetText("kick");

-- position
btnSayKarmaRoguekickEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaRoguekickEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaRoguekickEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['Roguekick'] == "yes") then
        SayKarmaFunctionRoguekickDisable();
    else
        SayKarmaFunctionRoguekickEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaRoguekickEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['Roguekick'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Rogue kick

-- CheckButton enable Rogue Sap
btnSayKarmaRogueSapEnable = CreateFrame("CheckButton", "btnSayKarmaRogueSapEnable_GlobalName", SayKarmaSettings.childpanelRogue, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaRogueSapEnable_GlobalNameText:SetText("Sap");

-- position
btnSayKarmaRogueSapEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaRogueSapEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaRogueSapEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['RogueSap'] == "yes") then
        SayKarmaFunctionRogueSapDisable();
    else
        SayKarmaFunctionRogueSapEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaRogueSapEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['RogueSap'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Rogue Sap 

-- End Contents RoguePanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelRogue);

-- =====================================================
-- SHAMAN PANEL

SayKarmaSettings.childpanelShaman = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelShaman.name = "Shaman";
SayKarmaSettings.childpanelShaman.parent = SayKarmaSettings.panel.name;

-- Contents ShamanPanel
-- CheckButton enable Shaman Hex
btnSayKarmaShamanHexEnable = CreateFrame("CheckButton", "btnSayKarmaShamanHexEnable_GlobalName", SayKarmaSettings.childpanelShaman, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaShamanHexEnable_GlobalNameText:SetText("Hex");

-- position
btnSayKarmaShamanHexEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaShamanHexEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaShamanHexEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['ShamanHex'] == "yes") then
        SayKarmaFunctionShamanHexDisable();
    else
        SayKarmaFunctionShamanHexEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaShamanHexEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['ShamanHex'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Shaman Hex

-- CheckButton enable Shaman Wind Shear
btnSayKarmaShamanWindShearEnable = CreateFrame("CheckButton", "btnSayKarmaShamanWindShearEnable_GlobalName", SayKarmaSettings.childpanelShaman, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaShamanWindShearEnable_GlobalNameText:SetText("Wind Shear");

-- position
btnSayKarmaShamanWindShearEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaShamanWindShearEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaShamanWindShearEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['ShamanWindShear'] == "yes") then
        SayKarmaFunctionShamanWindShearDisable();
    else
        SayKarmaFunctionShamanWindShearEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaShamanWindShearEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['ShamanWindShear'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Shaman Wind Shear

-- End Contents ShamanPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelShaman);

-- =====================================================
-- WARLOCK PANEL

SayKarmaSettings.childpanelWarlock = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelWarlock.name = "Warlock";
SayKarmaSettings.childpanelWarlock.parent = SayKarmaSettings.panel.name;

-- Contents WarlockPanel
-- CheckButton enable Warlock Mesmerize Seduction
btnSayKarmaWarlockMesmerizeSeductionEnable = CreateFrame("CheckButton", "btnSayKarmaWarlockMesmerizeSeductionEnable_GlobalName", SayKarmaSettings.childpanelWarlock, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarlockMesmerizeSeductionEnable_GlobalNameText:SetText("Warlock Mesmerize/Seduction");

-- position
btnSayKarmaWarlockMesmerizeSeductionEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaWarlockMesmerizeSeductionEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaWarlockMesmerizeSeductionEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarlockMesmerize'] == "yes") then        -- We check only on Mesmerize but there is also Seduction
        SayKarmaFunctionWarlockMesmerizeSeductionDisable();     -- This fonction disable both of them
    else
        SayKarmaFunctionWarlockMesmerizeSeductionEnable();      -- This one, enable both of them
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarlockMesmerizeSeductionEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarlockMesmerize'] == "yes") then    -- Same thing as above, so be carreful if you have to change somthing
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warlock Mesmerize Seduction

-- CheckButton enable Warlock Spell Lock
btnSayKarmaWarlockSpellLockEnable = CreateFrame("CheckButton", "btnSayKarmaWarlockSpellLockEnable_GlobalName", SayKarmaSettings.childpanelWarlock, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarlockSpellLockEnable_GlobalNameText:SetText("Warlock Spell Lock");

-- position
btnSayKarmaWarlockSpellLockEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaWarlockSpellLockEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaWarlockSpellLockEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarlockSpellLock'] == "yes") then        -- We check only on Mesmerize but there is also Seduction
        SayKarmaFunctionWarlockSpellLockDisable();     -- This fonction disable both of them
    else
        SayKarmaFunctionWarlockSpellLockEnable();      -- This one, enable both of them
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarlockSpellLockEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarlockSpellLock'] == "yes") then    -- Same thing as above, so be carreful if you have to change something
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warlock Spell Lock

-- End Contents WarlockPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelWarlock);

-- =====================================================
-- WARRIOR PANEL

SayKarmaSettings.childpanelWarrior = CreateFrame( "Frame", "SayKarmaOptionPanelChild", SayKarmaSettings.panel);
SayKarmaSettings.childpanelWarrior.name = "Warrior";
SayKarmaSettings.childpanelWarrior.parent = SayKarmaSettings.panel.name;

-- Contents WarriorPanel
-- CheckButton enable Warrior Dragon Roar
btnSayKarmaWarriorDragonRoarEnable = CreateFrame("CheckButton", "btnSayKarmaWarriorDragonRoarEnable_GlobalName", SayKarmaSettings.childpanelWarrior, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarriorDragonRoarEnable_GlobalNameText:SetText("Dragon Roar");

-- position
btnSayKarmaWarriorDragonRoarEnable:SetPoint("TOPLEFT", 20, -20);

-- tooltip, mouseOver
btnSayKarmaWarriorDragonRoarEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaWarriorDragonRoarEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarriorDragonRoar'] == "yes") then
        SayKarmaFunctionWarriorDragonRoarDisable();
    else
        SayKarmaFunctionWarriorDragonRoarEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarriorDragonRoarEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarriorDragonRoar'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warrior Dragon Roar

-- CheckButton enable Warrior Pummel
btnSayKarmaWarriorPummelEnable = CreateFrame("CheckButton", "btnSayKarmaWarriorPummelEnable_GlobalName", SayKarmaSettings.childpanelWarrior, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarriorPummelEnable_GlobalNameText:SetText("Pummel");

-- position
btnSayKarmaWarriorPummelEnable:SetPoint("TOPLEFT", 20, -45);

-- tooltip, mouseOver
btnSayKarmaWarriorPummelEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaWarriorPummelEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarriorPummel'] == "yes") then
        SayKarmaFunctionWarriorPummelDisable();
    else
        SayKarmaFunctionWarriorPummelEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarriorPummelEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarriorPummel'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warrior Pummel

-- CheckButton enable Warrior Shockwave
btnSayKarmaWarriorShockwaveEnable = CreateFrame("CheckButton", "btnSayKarmaWarriorShockwaveEnable_GlobalName", SayKarmaSettings.childpanelWarrior, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarriorShockwaveEnable_GlobalNameText:SetText("Shockwave");

-- position
btnSayKarmaWarriorShockwaveEnable:SetPoint("TOPLEFT", 20, -70);

-- tooltip, mouseOver
btnSayKarmaWarriorShockwaveEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaWarriorShockwaveEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarriorShockwave'] == "yes") then
        SayKarmaFunctionWarriorShockwaveDisable();
    else
        SayKarmaFunctionWarriorShockwaveEnable();
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarriorShockwaveEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarriorShockwave'] == "yes") then
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warrior Shockwave

-- CheckButton enable Warrior StormBolt & StormBolt Off Hand
btnSayKarmaWarriorStormBoltEnable = CreateFrame("CheckButton", "btnSayKarmaWarriorStormBoltEnable_GlobalName", SayKarmaSettings.childpanelWarrior, "ChatConfigCheckButtonTemplate");

-- text
btnSayKarmaWarriorStormBoltEnable_GlobalNameText:SetText("StormBolt");

-- position
btnSayKarmaWarriorStormBoltEnable:SetPoint("TOPLEFT", 20, -95);

-- tooltip, mouseOver
btnSayKarmaWarriorStormBoltEnable.tooltip = "Enable or disable announces for this spell";

-- checkButton clicked
btnSayKarmaWarriorStormBoltEnable:SetScript("OnClick", 
  function()
    if (SayKarmaPrefs['WarriorStormBolt'] == "yes") then    -- We check only StormBolt, but there is also StormBolt Off Hand
        SayKarmaFunctionWarriorStormBoltDisable();          -- this function disable both of them
    else
        SayKarmaFunctionWarriorStormBoltEnable();           -- This one, enable them both
    end
  end
);

-- init position button (true/false)
btnSayKarmaWarriorStormBoltEnable:SetScript("OnShow", function(frame)
        if (SayKarmaPrefs['WarriorStormBolt'] == "yes") then    -- As above, we check only StormBolt, but keep in mind there is also StormBolt Off Hand
            frame:SetChecked(true);
        else
            frame:SetChecked(false);
        end
    end)
-- End CheckButton enable Warrior StormBolt & StormBolt Off Hand


-- End Contents WarriorPanel

-- Add the child to the Interface Options
InterfaceOptions_AddCategory(SayKarmaSettings.childpanelWarrior);
-- =====================================================
